\name{findpeak}
\alias{findpeak}
\title{Find peaks and troughs in a 1D time-series signal}
\description{Use an adhoc dynamic programming segmentation to partition
a signal, by identifying the peaks and troughs. The sequence is
segmented into states: 0 (going down), 1 (stay the same) or 2 (going up).}
\usage{
findpeak(x, smalljump=NULL, bigjump = 10 )
}
\arguments{
\item{x}{Data vector}
\item{smalljump}{penalty for jumping between 0 and 1, or 1 and 2}
\item{bigjump}{penalty for jumping between 0 and 2}
}
\value{
A list of \code{segment}: the sequence of states (0,1, or 2),
\code{peaks}: positions of the peaks, and \code{troughs}:
position of the troughs.
}
